Change a branch cluster configuration
curl --request PATCH \
--url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/cluster \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cluster_size": "<string>"
}
'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/cluster"
payload = { "cluster_size": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cluster_size: '<string>'})
};
fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/cluster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Branch cluster size
Change a branch cluster configuration
Authorization
A service token must have at least one of the following access in order to use this API endpoint:
Service Token Accesses
write_database
PATCH
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
cluster
Change a branch cluster configuration
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization the branch belongs to
The name of the database the branch belongs to
The name of the branch to configure
Body
application/json
The new size of the database cluster: PS_10, PS_20,…
Response
Returns an empty response body
⌘I

